import java.util.ArrayList;
import java.net.*;
import java.io.*;


public class Coordinate 
{
	int x1, y1;
	double heading1;
	int x2, y2;
	double heading2;
	
	public String toString()
	{
	   return "[" + x1 + "," + y1 + "," + heading1 + "] " + "[" + x2 + "," + y2 + "," + heading2 + "]";
	}
	
	public boolean reload() throws Exception
	{
		URL robotCoordinatesURL = new URL("http://virtuallab.kar.elf.stuba.sk/imgcalib/robots.txt");
		BufferedReader coordinates = new BufferedReader(new InputStreamReader((InputStream)(robotCoordinatesURL.getContent())));
		for (int i = 0; i < 8; i++) 
			coordinates.readLine();
				
		String firstRobot = coordinates.readLine();
		String secondRobot = coordinates.readLine();
		
		coordinates.close();
		
		if ((firstRobot.length() < 5)		|| (secondRobot.length() < 5))  return false;
		firstRobot = firstRobot.substring(1, firstRobot.length() - 1);
		secondRobot = secondRobot.substring(1, secondRobot.length() - 1);
		String[] firstData = firstRobot.split(" ");
		String[] secondData = secondRobot.split(" ");
		
		if (firstData.length != 3) return false;
		if (secondData.length != 3) return false;
		x1 = Integer.parseInt(firstData[0]);
		y1 = Integer.parseInt(firstData[1]);
		heading1 = Double.parseDouble(firstData[2]);
		x2 = Integer.parseInt(secondData[0]);
		y2 = Integer.parseInt(secondData[1]);
		heading2 = Double.parseDouble(secondData[2]);
		System.out.println(this);
		return true;	
	}
}
